package a.i.b.a.c.l;

import a.a.j;
import a.i.b.a.c.b.a.c;
import a.i.b.a.c.b.a.g;
import a.k.m;

public abstract class ad extends az {
    public abstract ad d(g gVar);

    public abstract ad rL(boolean z);

    public ad() {
        super((byte) 0);
    }

    public String toString() {
        StringBuilder stringBuilder = new StringBuilder();
        for (c cVar : dYn()) {
            m.a(stringBuilder, new String[]{"[", a.i.b.a.c.h.c.a(a.i.b.a.c.h.c.BBN, cVar), "] "});
        }
        stringBuilder.append(ejw());
        if (!ejt().isEmpty()) {
            j.a(ejt(), stringBuilder, ", ", "<", ">", 0, null, null, 112);
        }
        if (eci()) {
            stringBuilder.append("?");
        }
        String stringBuilder2 = stringBuilder.toString();
        a.f.b.j.o(stringBuilder2, "StringBuilder().apply(builderAction).toString()");
        return stringBuilder2;
    }
}
